$(function () {
    "use strict";

    new PerfectScrollbar(".header-notifications-list"),

    $(".mobile-toggle-icon").on("click", function () {
        $(".wrapper").toggleClass("toggled")
    }),

    /* Force Dark Mode */
    $("html").attr("data-bs-theme", "dark");  // Force dark mode at load time
    $(".dark-mode-icon i").attr("class", "bx bx-sun");  // Set correct icon for dark mode

    $(".dark-mode").click(function () {
        $("html").attr("data-bs-theme", function (i, v) {
            return v === 'dark' ? 'light' : 'dark';
        })
    })

    $(".dark-mode").on("click", function () {
        if ($(".dark-mode-icon i").attr("class") == 'bx bx-sun') {
            $(".dark-mode-icon i").attr("class", "bx bx-moon");
        } else {
            $(".dark-mode-icon i").attr("class", "bx bx-sun");
        }
    }),

    $(".mobile-toggle-menu").click(function () {
        $(".wrapper").hasClass("toggled") ? ($(".wrapper").removeClass("toggled"), $(".sidebar-wrapper").unbind("hover")) : ($(".wrapper").addClass("toggled"), $(".sidebar-wrapper").hover(function () {
            $(".wrapper").addClass("sidebar-hovered")
        }, function () {
            $(".wrapper").removeClass("sidebar-hovered")
        }))
    }),

    $(document).ready(function () {
        $(window).on("scroll", function () {
            $(this).scrollTop() > 300 ? $(".back-to-top").fadeIn() : $(".back-to-top").fadeOut()
        }), $(".back-to-top").on("click", function () {
            return $("html, body").animate({
                scrollTop: 0
            }, 600), !1
        })
    }),

    $(function () {
        $("#menu").metisMenu()
    }),

    $(function () {
        for (var e = window.location, o = $(".metismenu li a").filter(function () {
            return this.href == e
        }).addClass("").parent().addClass("mm-active"); o.is("li");) o = o.parent("").addClass("mm-show").parent("").addClass("mm-active")
    }),

    $(".chat-toggle-btn").on("click", function () {
        $(".chat-wrapper").toggleClass("chat-toggled")
    }), $(".chat-toggle-btn-mobile").on("click", function () {
        $(".chat-wrapper").removeClass("chat-toggled")
    }),

    $(".email-toggle-btn").on("click", function () {
        $(".email-wrapper").toggleClass("email-toggled")
    }), $(".email-toggle-btn-mobile").on("click", function () {
        $(".email-wrapper").removeClass("email-toggled")
    }), $(".compose-mail-btn").on("click", function () {
        $(".compose-mail-popup").show()
    }), $(".compose-mail-close").on("click", function () {
        $(".compose-mail-popup").hide()
    })

});
